#ifndef MFX_H_
#define MFX_H_

#include <stdint.h>

void mfx_set_station_id(uint32_t);
void mfx_announce_packet(uint16_t);
void mfx_search_packet(uint32_t, uint8_t);
void mfx_assign_address_packet(uint16_t, uint32_t);
void mfx_ping_packet(uint16_t, uint32_t);
void mfx_speed_packet(uint16_t, uint8_t);
void mfx_speed_funcs8_packet(uint16_t, uint8_t, uint8_t);
void mfx_speed_funcs16_packet(uint16_t, uint8_t, uint16_t);
uint8_t mfx_command(const uint8_t *, uint8_t);

#endif
